Bug 441752 - [pata_amd] Nvidia PATA: ATAPI problem on fujitsu amilo 2528
[pata_amd] Nvidia PATA: ATAPI problem on fujitsu amilo 2528
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Peter Martuccelli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 15:28 EDT by daniel de baerdemaeker
Modified: 2009-07-14 12:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 545546 (view as bug list)
Environment:
Last Closed: 2009-07-14 12:08:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg text (89.80 KB, text/plain)
2008-04-28 13:43 EDT, daniel de baerdemaeker
no flags Details
output of lspci (2.02 KB, text/plain)
2008-04-28 13:45 EDT, daniel de baerdemaeker
no flags Details
output of lsusb (345 bytes, text/plain)
2008-04-28 13:45 EDT, daniel de baerdemaeker
no flags Details
dmesg (33.41 KB, text/plain)
2009-03-07 10:17 EST, daniel de baerdemaeker
no flags Details
config (97.16 KB, application/octet-stream)
2009-03-07 10:18 EST, daniel de baerdemaeker
no flags Details

  None (edit)
Description daniel de baerdemaeker 2008-04-09 15:28:09 EDT
Description of problem:
when booting fedora 8 or 9 beta, on an fujitsu amilo xa 2528 turion tl60 nvidia
chipset, the system does not install, becouse the kernel can not load drivers
for this hardware, on tty4 it keeps turning in rounds trying to initialise the
the ata devices, it is always telling failed to recover some devices, i can not
give detailed information becouse i can only type over what is on the screen

Version-Release number of selected component (if applicable):
i686

How reproducible:
always, live cd installation ..


Steps to Reproduce:
1.insert a bootable fedora cd or dvd and boot 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chuck Ebbert 2008-04-26 23:50:58 EDT
If the shell is running on vt2, can you run the dmesg command there and upload
the output?
Comment 2 daniel de baerdemaeker 2008-04-28 13:43:17 EDT
Created attachment 304013 [details]
dmesg text

the dvd-rewriter is not defect, it works with windows
Comment 3 daniel de baerdemaeker 2008-04-28 13:45:23 EDT
Created attachment 304014 [details]
output of lspci
Comment 4 daniel de baerdemaeker 2008-04-28 13:45:53 EDT
Created attachment 304015 [details]
output of lsusb
Comment 5 Chuck Ebbert 2008-04-29 15:24:49 EDT
pata_amd 0000:00:0d.0: version 0.3.10
PCI: Setting latency timer of device 0000:00:0d.0 to 64
scsi2 : pata_amd
scsi3 : pata_amd
ata3: PATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0x3080 irq 14
ata4: PATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0x3088 irq 15
ata3.00: ATAPI: HL-DT-ST DVDRAM GSA-T20N, WW01, max UDMA/33
ata3.00: Drive reports diagnostics failure. This may indicate a drive
ata3.00: fault or invalid emulation. Contact drive vendor for information.
ata3.00: configured for UDMA/33
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:24:00/00:00:00:00:00/a0 tag 0 pio 36 in
         cdb 12 00 00 00 24 00 00 00  00 00 00 00 00 00 00 00
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
ata3.00: status: { DRDY }
ata3: soft resetting link
ata3.00: class mismatch 3 != 1
ata3.00: revalidation failed (errno=-19)
ata3: failed to recover some devices, retrying in 5 secs
ata3: soft resetting link
ata3.00: configured for UDMA/33
ata3: EH complete
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:24:00/00:00:00:00:00/a0 tag 0 pio 36 in
         cdb 12 00 00 00 24 00 00 00  00 00 00 00 00 00 00 00
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
ata3.00: status: { DRDY }
ata3: soft resetting link

Over and over again, all the way down to PIO0...
Comment 6 Bug Zapper 2008-05-14 05:13:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 daniel de baerdemaeker 2008-05-30 14:00:06 EDT
i recompiled the kernel without pata_amd and now my computer boots as expected
except the cd/dvd drive on the pata port
i would like to mention that the cd/dvd drive works if i boot the computer in
vista, so i am quite sure it is no harware defect
Comment 8 Alan Cox 2008-06-09 11:56:39 EDT
ata3.00: ATAPI: HL-DT-ST DVDRAM GSA-T20N, WW01, max UDMA/33
ata3.00: Drive reports diagnostics failure. This may indicate a drive
ata3.00: fault or invalid emulation. Contact drive vendor for information.

The diagnostics failure bit is from the drive. So the drive is quite sure at
that point that it is unhappy. The big question is why we are getting such odd
reports from it.

Are there two devices on that cable or just one ?
Comment 9 daniel de baerdemaeker 2008-06-09 16:54:12 EDT
no there are any more drives on it
today i was with a colleage who's hard disk had an error and i booted knoppix
live-cd, it stopped booting to, as soon as the ramdisk. And also the dvd drive
was pata on an nvidia chipset. So, i suppose the retun from the chipset is
misinterpreted. If you google on the internet, a lot of people have these output
with a pata drive (cd or hd) connected to the nvidia chipset with the pata_amd
module
Comment 10 daniel de baerdemaeker 2008-06-10 05:51:50 EDT
i tested the drive in vista with nero diskspeed - no defects
Comment 11 Alan Cox 2008-06-16 08:29:24 EDT
The error bit is direct from the drive not the chipset. The drive is reporting
the fault.

ata3.00: status: { DRDY }
ata3: soft resetting link
ata3.00: class mismatch 3 != 1
ata3.00: revalidation failed (errno=-19)

At this point it then really gets confused.

Not sure there is much I can do about this as Nvidia don't provide any
documentation for their chipset. Booting with libata.dma=1 may help however


Comment 12 daniel de baerdemaeker 2008-07-23 14:17:04 EDT
this does not help
is it possible to use the old stile ide modules ?
Comment 13 Alan Cox 2008-07-23 15:41:16 EDT
You can certainly build yourself a new kernel with those to see

Comment 14 Chuck Ebbert 2008-07-25 20:07:57 EDT
Lots of people are reporting weird problems with that drive on Windows too.
Comment 16 daniel de baerdemaeker 2009-03-07 08:53:04 EST
finaly i got time for the problem again, since i also have an external dvd writer it is not so urgent
Yesterday i took the latest kernel from kernel.org and compiled it on my fedora 9
(yes sill 9 since i have to install an other version by network) as i red somewhere that knoppix 6.1 booted from cd on my type of laptop
i changed the config for having ide-cdrom support an fujitsu-laptop support
after booting everithing works fine
my dvd-writer works with k3b and nero, i can read whatever i want, integration is perfect with dolphin
but it is ide as i now have an hda


something that has nothing to do with this problem
my webcam a bison gives the images opside down (wich wasn't the case with the kernelmodules from the project

when i did a yum update of my system, this week, i saw that the pata_amd modile was quiet, no more timeout at boot time, but it did no see my drive
i suppose fore the same reason i can not boot a fedora 10 or 11 live cd
Comment 17 daniel de baerdemaeker 2009-03-07 10:17:19 EST
Created attachment 334398 [details]
dmesg

here lsmod

Module                  Size  Used by
fujitsu_laptop         12424  0 
bridge                 40168  0 
stp                     2028  1 bridge
bnep                   10848  2 
rfcomm                 29828  4 
l2cap                  17604  16 bnep,rfcomm
ib_iser                26728  0 
rdma_cm                22876  1 ib_iser
ib_cm                  28728  1 rdma_cm
iw_cm                   6800  1 rdma_cm
ib_sa                  16568  2 rdma_cm,ib_cm
ib_mad                 28852  2 ib_cm,ib_sa
ib_core                45068  6 ib_iser,rdma_cm,ib_cm,iw_cm,ib_sa,ib_mad
ib_addr                 6524  1 rdma_cm
iscsi_tcp               8508  0 
libiscsi_tcp            9524  1 iscsi_tcp
libiscsi               24196  3 ib_iser,iscsi_tcp,libiscsi_tcp
scsi_transport_iscsi    24468  4 ib_iser,iscsi_tcp,libiscsi
fuse                   48256  1 
sunrpc                149460  1 
ipt_REJECT              2636  2 
nf_conntrack_ipv4       7128  3 
nf_defrag_ipv4          1684  1 nf_conntrack_ipv4
iptable_filter          2392  1 
ip_tables               9812  1 iptable_filter
ip6t_REJECT             3316  2 
xt_tcpudp               2656  2 
nf_conntrack_ipv6      11340  2 
xt_state                1904  5 
nf_conntrack           48580  3 nf_conntrack_ipv4,nf_conntrack_ipv6,xt_state
ip6table_filter         2304  1 
ip6_tables             10792  1 ip6table_filter
x_tables               11916  6 ipt_REJECT,ip_tables,ip6t_REJECT,xt_tcpudp,xt_state,ip6_tables
cpufreq_ondemand        6032  1 
powernow_k8            14812  1 
dm_mirror              12484  0 
dm_region_hash          8924  1 dm_mirror
dm_log                  8372  2 dm_mirror,dm_region_hash
dm_multipath           13524  0 
scsi_dh                 5472  1 dm_multipath
dm_mod                 46840  3 dm_mirror,dm_log,dm_multipath
ipv6                  226472  29 ib_addr,ip6t_REJECT,nf_conntrack_ipv6
snd_hda_codec_realtek   186104  1 
snd_hda_intel          23688  1 
snd_hda_codec          49476  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               6568  1 snd_hda_codec
snd_seq_dummy           2556  0 
snd_seq_oss            26744  0 
snd_seq_midi_event      5532  1 snd_seq_oss
snd_seq                44756  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          5952  3 snd_seq_dummy,snd_seq_oss,snd_seq
ide_cd_mod             25736  0 
snd_pcm_oss            37888  0 
cdrom                  28644  1 ide_cd_mod
snd_mixer_oss          12896  1 snd_pcm_oss
pata_amd                9708  0 
snd_pcm                61116  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
gspca_m5602            65044  0 
firewire_ohci          18872  0 
nvidia               7206600  38 
snd_timer              17992  2 snd_seq,snd_pcm
firewire_core          32116  1 firewire_ohci
snd                    48708  14 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq_dummy,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
gspca_main             18640  1 gspca_m5602
ndiswrapper           150724  0 
amd74xx                 5520  0 
videodev               33308  1 gspca_main
serio_raw               4876  0 
ide_core               79360  2 ide_cd_mod,amd74xx
soundcore               5444  1 snd
crc_itu_t               1764  1 firewire_core
pcspkr                  2248  0 
k8temp                  4044  0 
joydev                  8928  0 
btusb                  10448  2 
forcedeth              47708  0 
snd_page_alloc          7528  2 snd_hda_intel,snd_pcm
v4l1_compat            11560  1 videodev
hwmon                   2276  1 k8temp
sg                     24832  0 
bluetooth              44536  8 bnep,rfcomm,l2cap,btusb
i2c_nforce2             6224  0 
i2c_core               17664  2 nvidia,i2c_nforce2
pata_acpi               3508  0 
ata_generic             4224  0 
sata_nv                19752  2 
libata                135736  4 pata_amd,pata_acpi,ata_generic,sata_nv
sd_mod                 28480  3 
scsi_mod              124652  8 ib_iser,iscsi_tcp,libiscsi,scsi_transport_iscsi,scsi_dh,sg,libata,sd_mod
crc_t10dif              1460  1 sd_mod
ext3                  106496  2 
jbd                    39116  1 ext3
mbcache                 6048  1 ext3
uhci_hcd               19388  0 
ohci_hcd               20240  0 
ehci_hcd               29452  0
Comment 18 daniel de baerdemaeker 2009-03-07 10:18:16 EST
Created attachment 334399 [details]
config
Comment 19 Bug Zapper 2009-06-09 20:06:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2009-07-14 12:08:15 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.